﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcApp.Models;

namespace MvcApp.Controllers
{
    public class HomeController : Controller
    {
        List<Details> localData = new List<Details>();
        public ActionResult Index()
        {
            localData.Add(new Details { id = 1, name = "Discover Music", hasChild = true, expanded = true });
            localData.Add(new Details { id = 2, pid = 1, name = "Hot Singles" });
            localData.Add(new Details { id = 3, pid = 1, name = "Rising Artists" });
            localData.Add(new Details { id = 4, pid = 1, name = "Live Music" });
            localData.Add(new Details { id = 6, pid = 1, name = "Best of 2013 So Far" });
            localData.Add(new Details { id = 7, name = "Sales and Events", hasChild = true, expanded = true });
            localData.Add(new Details { id = 8, pid = 7, name = "100 Albums - $5 Each" });
            localData.Add(new Details { id = 9, pid = 7, name = "Hip-Hop and R&B Sale" });
            localData.Add(new Details { id = 10, pid = 7, name = "CD Deals" });
            localData.Add(new Details { id = 11, name = "Categories", hasChild = true });
            localData.Add(new Details { id = 12, pid = 11, name = "Songs" });
            localData.Add(new Details { id = 13, pid = 11, name = "Bestselling Albums" });
            localData.Add(new Details { id = 14, pid = 11, name = "New Releases" });
            localData.Add(new Details { id = 15, pid = 11, name = "Bestselling Songs" });
            localData.Add(new Details { id = 16, name = "MP3 Albums", hasChild = true });
            localData.Add(new Details { id = 17, pid = 16, name = "Rock" });
            localData.Add(new Details { id = 18, pid = 16, name = "Gospel" });
            localData.Add(new Details { id = 19, pid = 16, name = "Latin Music" });
            localData.Add(new Details { id = 20, pid = 16, name = "Jazz" });
            localData.Add(new Details { id = 21, name = "More in Music", hasChild = true });
            localData.Add(new Details { id = 22, pid = 21, name = "Music Trade-In" });
            localData.Add(new Details { id = 23, pid = 21, name = "Redeem a Gift Card" });
            localData.Add(new Details { id = 24, pid = 21, name = "Band T-Shirts" });
            localData.Add(new Details { id = 25, pid = 21, name = "Mobile MVC" });

            ViewBag.datasource = localData;
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }       
    }
}